Name:           perl-Prophet
Version:        0.743
Release:        1%{?dist}
Summary:        DESCRIPTION
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Prophet/
Source0:        http://www.cpan.org/authors/id/S/SP/SPANG/Prophet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Any::Moose) >= 0.04
BuildRequires:  perl(Config::GitLike) >= 1.02
BuildRequires:  perl(DBD::SQLite) >= 1
BuildRequires:  perl(DBI) >= 1
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter::Lite)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.11
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.40
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(JSON) >= 2.00
BuildRequires:  perl(JSON::XS) >= 2.23
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(MIME::Base64::URLSafe)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Module::Refresh)
BuildRequires:  perl(Mouse) >= 0.21
BuildRequires:  perl(Net::Bonjour)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Path::Dispatcher) >= 0.14
BuildRequires:  perl(Path::Dispatcher::Declarative)
BuildRequires:  perl(Proc::InvokeEditor)
BuildRequires:  perl(Template::Declare) >= 0.35
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Term::ReadLine::Perl)
BuildRequires:  perl(Test::Exception) >= 0.26
BuildRequires:  perl(Test::HTTP::Server::Simple)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::WWW::Mechanize) >= 1.16
BuildRequires:  perl(Time::Progress)
BuildRequires:  perl(URI)
BuildRequires:  perl(UUID::Tiny) >= 1.02
BuildRequires:  perl(XML::Atom::SimpleFeed)
BuildRequires:  perl(YAML::Syck)
Requires:       perl(Any::Moose) >= 0.04
Requires:       perl(Config::GitLike) >= 1.02
Requires:       perl(DBD::SQLite) >= 1
Requires:       perl(DBI) >= 1
Requires:       perl(Digest::SHA)
Requires:       perl(Exporter::Lite)
Requires:       perl(ExtUtils::MakeMaker) >= 6.11
Requires:       perl(File::ShareDir) >= 1.00
Requires:       perl(HTTP::Date)
Requires:       perl(HTTP::Server::Simple) >= 0.40
Requires:       perl(IPC::Run3)
Requires:       perl(JSON) >= 2.00
Requires:       perl(JSON::XS) >= 2.23
Requires:       perl(LWP::UserAgent)
Requires:       perl(MIME::Base64::URLSafe)
Requires:       perl(Module::Pluggable)
Requires:       perl(Module::Refresh)
Requires:       perl(Mouse) >= 0.21
Requires:       perl(Net::Bonjour)
Requires:       perl(Params::Validate)
Requires:       perl(Path::Dispatcher) >= 0.14
Requires:       perl(Path::Dispatcher::Declarative)
Requires:       perl(Proc::InvokeEditor)
Requires:       perl(Template::Declare) >= 0.35
Requires:       perl(Term::ReadKey)
Requires:       perl(Term::ReadLine::Perl)
Requires:       perl(Test::Exception) >= 0.26
Requires:       perl(Test::HTTP::Server::Simple)
Requires:       perl(Test::Pod::Coverage)
Requires:       perl(Test::WWW::Mechanize) >= 1.16
Requires:       perl(Time::Progress)
Requires:       perl(URI)
Requires:       perl(UUID::Tiny) >= 1.02
Requires:       perl(XML::Atom::SimpleFeed)
Requires:       perl(YAML::Syck)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Prophet is a distributed database system designed for small to medium
scale social database applications. Our early targets include things such
as bug tracking.

%prep
%setup -q -n Prophet-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 24 2011 Dave Cross <dave@mag-sol.com> 0.743-1
- Specfile autogenerated by cpanspec 1.78.
